{#
/**
 * @file
 * Theme override for an item list.
 *
 * Available variables:
 * - items: A list of items. Each item contains:
 *   - attributes: HTML attributes to be applied to each list item.
 *   - value: The content of the list element.
 * - title: The title of the list.
 * - list_type: The tag for list element ("ul" or "ol").
 * - wrapper_attributes: HTML attributes to be applied to the list wrapper.
 * - attributes: HTML attributes to be applied to the list.
 * - empty: A message to display when there are no items. Allowed value is a
 *   string or render array.
 * - context: A list of contextual data associated with the list. May contain:
 *   - list_style: The custom list style.
 *
 * @see template_preprocess_item_list()
 */
#}
{% apply spaceless %}

  {% set list_group_attributes = attributes %}
  {% set list_group_item_attributes = item.attributes %}
  {%
    set item_list_classes = [
      'item-group',
      context.list_style ? 'item-list--' ~ context.list_style,
    ]
  %}

  {%
    set item_list_item_classes = [
      'list-group-item',
    ]
  %}

  {% if items or empty %}
    {%- if title is not empty -%}
      {%
        include 'radix:heading' with {
          heading_html_tag: 'h3',
          content: title,
        }
      %}
    {%- endif -%}

    {%- if items -%}
      <{{ list_type }}{{ attributes }}>
      {%- for item in items -%}
        <li{{ item.attributes.addClass(listClasses) }}>{{ item.value }}</li>
      {%- endfor -%}
      </{{ list_type }}>
    {%- else -%}
      {{- empty -}}
    {%- endif -%}
  {%- endif %}

  {% endapply %}
